//
//  PageWorker.swift
//  NasaProj
//
//  Created by NATCHANON TREERATTANANUKUL on 25/6/2566 BE.
//  Copyright (c) 2566 BE ___ORGANIZATIONNAME___. All rights reserved.
//
//  This file was generated by the Clean Swift Xcode Templates so
//  you can apply clean architecture to your iOS and Mac projects,
//  see http://clean-swift.com
//

import UIKit

class PageWorker
{
    // MARK: FetchData from API
    func fetchData(completion: @escaping (Result<[Page.ApodModels.ViewModel.FetchModels], Error>) -> Void) {
        let apodAPI = APODAPI()
        apodAPI.fetchAPOD { result in
            switch result {
            case .success(let apod):
                completion(.success(apod))
            case .failure (let error):
                completion(.failure(error))
                
            }
        }
    }
}
